include ../../Makefile.site

default: mr

LIBS = -lripsk -lriper -lripip -lrippr -lripqc -lriput -lripwk -lrippc -lrippm -lripsq -lm -lripsk -lxnet -lripqi -lripwh -lripdf -lripma -lripac -lsocket -lnsl -lriprp -lriprx 

defs: $(DEFS)
	cd ../../defs; $(MAKE); cd ../bin/mr

modules: $(MODULES)
	cd ../../modules; $(MAKE); cd ../bin/mr

mr: $(SOURCES) $(HEADERS) 
	$(CC) -c $(CFLAGS) mirror_reflector.c
	$(CC) $(LFLAGS) -o mr mirror_reflector.o $(LIBS) $(OPTS)

clean:
	${RM} core *.o mr

